Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.common.queueing.deque
Interface Deque<T>

All Known Implementing Classes:
  LinkedListDeque

    public interface Deque<T>

Double-ended queue that supports element insertion and removal at both ends.

Original, unlicensed version written by Geoff Knagge (9806135), last modified 14/8/1999.

This version patched by Cyril Briquet, last modified 04/02/2007.

Note: the sole purpose of this class is to provide a J2SE 5.0 implementation of a Deque.

Author:
  Cyril Briquet

Method Summary
`java.util.Iterator<T>` | `descendingIterator()`
`T` | `firstElement()`
`void` | `insertFirst(T O)`
`void` | `insertLast(T O)`
`boolean` | `isEmpty()`
`java.util.Iterator<T>` | `iterator()`
`T` | `lastElement()`
`T` | `removeFirst()`
`T` | `removeLast()`
`int` | `size()`

Method Detail

### size

    int size()

### isEmpty

    boolean isEmpty()

### insertFirst

    void insertFirst(T O)
                     throws GridException

  Throws:
    `GridException`

### insertLast

    void insertLast(T O)
                    throws GridException

  Throws:
    `GridException`

### removeFirst

    T removeFirst()
                  throws GridException

  Throws:
    `GridException`

### removeLast

    T removeLast()
                 throws GridException

  Throws:
    `GridException`

### firstElement

    T firstElement()
                   throws GridException

  Throws:
    `GridException`

### lastElement

    T lastElement()
                  throws GridException

  Throws:
    `GridException`

### iterator

    java.util.Iterator<T> iterator()

### descendingIterator

    java.util.Iterator<T> descendingIterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.